Package org.eclipse.lemminx.utils.platform

## Class JVM

- java.lang.Object
- - org.eclipse.lemminx.utils.platform.JVM

    public class JVM
    extends Object

JVM information

### Constructor Summary

Constructors
`JVM()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getJavaHome()` Returns the value of the JAVA_HOME environment variable Do not include this information in telemetry, as it likely includes the user's name
`Memory` `getMemory()` Returns the information on the memory
`String` `getName()` Returns the JVM name
`String` `getRuntime()` Returns the JVM runtime name.
`String` `getVersion()` Returns the JVM version
`boolean` `isNativeImage()` Returns true if the server is a native image and false otherwise

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JVM

    public JVM()

### Method Detail

#### getName

    public String getName()

Returns the JVM name

Returns:
  the JVM name

#### getVersion

    public String getVersion()

Returns the JVM version

Returns:
  the JVM version

#### getRuntime

    public String getRuntime()

Returns the JVM runtime name.

Returns:
  the JVM runtime name.

#### getMemory

    public Memory getMemory()

Returns the information on the memory

Returns:
  the information on the memory

#### getJavaHome

    public String getJavaHome()

Returns the value of the JAVA_HOME environment variable Do not include this information in telemetry, as it likely includes the user's name

Returns:
  the value of the JAVA_HOME environment variable

#### isNativeImage

    public boolean isNativeImage()

Returns true if the server is a native image and false otherwise

Returns:
  true if the server is a native image and false otherwise